Bug 1126718 - librsync: rsync: checksum collisions leading to a denial of service [fedora-all]
Summary: librsync: rsync: checksum collisions leading to a denial of service [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: librsync
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_ping=1
Depends On:
Blocks: CVE-2014-8242
TreeView+ depends on / blocked
 
Reported: 2014-08-05 06:54 UTC by Murray McAllister
Modified: 2015-03-19 18:44 UTC (History)
2 users (show)

Fixed In Version: csync2-1.34-15.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:18:34 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-08-05 06:54:14 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-08-05 06:54:21 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1126712,1126718

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1126712,1126718

Comment 2 pjp 2014-12-03 18:29:49 UTC
Hello redhat-bugzilla,

Could you please fix this soon?

Comment 3 Robert Scheck 2014-12-03 19:24:11 UTC
Please see bug #1126712 at comment #13 and let us follow up this there. I do
not have any new status - except I overlooked something.

Comment 4 pjp 2014-12-06 08:10:33 UTC
 Hello Robert,

Thanks so much for the details. It seems the patches have been merged in one of the branches of upstream author Martin Pool

Please see:
  -> https://github.com/sourcefrog/librsync/compare/therealmik:blake2...blake2

Let's hope a new release comes out soon.

Thank you.

Comment 5 pjp 2014-12-09 04:01:03 UTC
(In reply to pjp from comment #4)
> Let's hope a new release comes out soon.

@Robert: could you please check with Martin about a new release or if they have snapshot releases?

Thank you.

Comment 7 Robert Scheck 2015-02-21 16:57:11 UTC
(In reply to pjp from comment #5)
> @Robert: could you please check with Martin about a new release or if they
> have snapshot releases?

Meanwhile there is a new librsync release, I notified package owners whose
packages depend on librsync about the upcoming change (ABI incompatibility).

Comment 8 Fedora Update System 2015-03-02 00:50:11 UTC
librsync-1.0.0-1.fc22,csync2-1.34-15.fc22,duplicity-0.6.25-2.fc22,rdiff-backup-1.2.8-14.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/librsync-1.0.0-1.fc22,csync2-1.34-15.fc22,duplicity-0.6.25-2.fc22,rdiff-backup-1.2.8-14.fc22

Comment 9 Fedora Update System 2015-03-06 23:06:01 UTC
librsync-1.0.0-1.fc21,csync2-1.34-15.fc21,duplicity-0.6.25-3.fc21,rdiff-backup-1.2.8-14.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/librsync-1.0.0-1.fc21,csync2-1.34-15.fc21,duplicity-0.6.25-3.fc21,rdiff-backup-1.2.8-14.fc21

Comment 10 Fedora Update System 2015-03-06 23:07:32 UTC
librsync-1.0.0-1.fc20,csync2-1.34-15.fc20,duplicity-0.6.25-3.fc20,rdiff-backup-1.2.8-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/librsync-1.0.0-1.fc20,csync2-1.34-15.fc20,duplicity-0.6.25-3.fc20,rdiff-backup-1.2.8-14.fc20

Comment 11 Fedora Update System 2015-03-09 08:18:34 UTC
csync2-1.34-15.fc22, rdiff-backup-1.2.8-14.fc22, librsync-1.0.0-1.fc22, duplicity-0.6.25-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-03-19 18:43:10 UTC
librsync-1.0.0-1.fc20, duplicity-0.6.25-3.fc20, csync2-1.34-15.fc20, rdiff-backup-1.2.8-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-03-19 18:44:25 UTC
csync2-1.34-15.fc21, rdiff-backup-1.2.8-14.fc21, librsync-1.0.0-1.fc21, duplicity-0.6.25-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.